'use strict';

module.exports = {
    "rules": {
        "array-callback-return": "error",
        "callback-return": "error",
        "curly": "error",
        "dot-location": ["error", "property"],
        "eqeqeq": "error",
        "for-direction": "error",
        "getter-return": "error",
        "guard-for-in": "error",
        "handle-callback-err": "error",
        "no-async-promise-executor": "error",
        "no-buffer-constructor": "error",
        "no-caller": "error",
        "no-case-declarations": "error",
        "no-catch-shadow": "error",
        "no-div-regex": "error",
        "no-eval": "error",
        "no-global-assign": "error",
        "no-implicit-coercion": "error",
        "no-implied-eval": "error",
        "no-invalid-this": "error",
        "no-new": "error",
        "no-process-exit": "error",
        "no-return-await": "error",
        "no-sequences": "error",
        "no-shadow-restricted-names": "error",
        "no-sync": ["error", {"allowAtRootLevel": true}],
        "no-unsafe-finally": "error",
        "no-use-before-define": ["error", {"functions": false}],
        "no-useless-call": "error",
        "no-useless-computed-key": "error",
        "no-useless-concat": "error",
        "no-useless-constructor": "error",
        "no-useless-escape": "error",
        "no-useless-rename": "error",
        "no-var": "error",
        "no-void": "error",
        "no-with": "error",
        "one-var": ["error", "never"],
        "prefer-arrow-callback": ["error", {"allowNamedFunctions": true}],
        "prefer-const": "error",
        "prefer-rest-params": "error",
        "prefer-spread": "error",
        "radix": "error",
        "require-atomic-updates": "error",
        "require-await": "error",
        "require-yield": "error",
        "semi": ["error", "always"],
        "strict": "error",
        "wrap-iife": "error"
    }
}
